Loading...
Searching...
No Matches
stdstreams.hh File Reference

Standard Dune debug streams. More...

`#include <dune-common-config.hh>`
`#include "debugstream.hh"`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Macros

#define | DUNE_MINIMAL_DEBUG_LEVEL 4
| The default minimum debug level.

## Typedefs

typedef DebugStream< VERY_VERBOSE_DEBUG_LEVEL, MINIMAL_DEBUG_LEVEL > | Dune::DVVerbType
| Type of very verbose debug stream.
typedef DebugStream< VERBOSE_DEBUG_LEVEL, MINIMAL_DEBUG_LEVEL > | Dune::DVerbType
| Type of more verbose debug stream.
typedef DebugStream< INFO_DEBUG_LEVEL, MINIMAL_DEBUG_LEVEL > | Dune::DInfoType
| Type of debug stream with info level.
typedef DebugStream< WARN_DEBUG_LEVEL, MINIMAL_DEBUG_LEVEL > | Dune::DWarnType
| Type of debug stream with warn level.
typedef DebugStream< GRAVE_DEBUG_LEVEL, MINIMAL_DEBUG_LEVEL > | Dune::DGraveType
| Type of debug stream for fatal errors.
typedef DebugStream< 1 > | Dune::DErrType
| The type of the stream used for error messages.

## Variables

static const DebugLevel | Dune::MINIMAL_DEBUG_LEVEL = DUNE_MINIMAL_DEBUG_LEVEL
static const DebugLevel | Dune::VERY_VERBOSE_DEBUG_LEVEL = 1
| The level of the very verbose debug stream.
static const DebugLevel | Dune::VERBOSE_DEBUG_LEVEL = 2
| The level of the verbose debug stream.
static const DebugLevel | Dune::INFO_DEBUG_LEVEL = 3
| The level of the informative debug stream.
static const DebugLevel | Dune::WARN_DEBUG_LEVEL = 4
| The level of the debug stream for warnings.
static const DebugLevel | Dune::GRAVE_DEBUG_LEVEL = 5
| The level of the debug stream for fatal errors.

## Detailed Description

Standard Dune debug streams.

The standard debug streams are compiled into libdune to exist globally. This file declares the stream types and the global debug level.